<template>
  <div class="d-flex flex-column">
    <span v-if="!viewMode">Заполните 4 варианта и выберите неправильный вариант:</span>
    <div class="d-flex flex-column">
      <ValidationProvider name="radio-group" rules="radio" v-slot="{ errors }">
        <v-radio-group class="d-flex my-5" v-model="innerConfig.result" :error-messages="errors">
          <div class="d-flex align-center" v-for="(variant, i) in innerConfig.variants" :key="variant.value">
            <v-radio :value="variant.value"></v-radio>
            <ValidationProvider style="width: 100%" :name="`text-${variant.value}`" rules="required" v-slot="{ errors }">
              <v-text-field
                label="Текст варианта"
                v-model="innerConfig.variants[i].text"
                :error-messages="errors"
                required
              ></v-text-field>
            </ValidationProvider>
          </div>
        </v-radio-group>
        </ValidationProvider>

    </div>
  </div>
</template>
<script>
import QuestionMixin from "@/mixins/Question.js";
import { extend } from 'vee-validate'
import { required } from 'vee-validate/dist/rules';
export default {
  mixins: [QuestionMixin],
    data() {
    return {
      innerValue: []
    }
  },
  watch: {
    variants: {
      deep: true,
      handler(v) {
        this.innerConfig.variants = v;
      }
    }
  },
  created() {
    if (this.innerConfig.variants.length === 0) {
      this.innerConfig.variants = Array(4).fill({}).map((_, i) => ({ value: i + 1, text: ''}));
    }
    extend('radio', {
      ...required,
      message: 'Выберите неправильный пункт'
    })
  }
};
</script>